## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesParserLiaison::DocumentEntry Struct Reference

`#include <XercesParserLiaison.hpp>`

Collaboration diagram for XercesParserLiaison::DocumentEntry:

List of all members.

## Public Methods

- DocumentEntry& operator= (XercesDocumentBridge* theBridge)
- DocumentEntry& operator= (XercesDocumentWrapper* theWrapper)

## Public Attributes

- bool m_isDeprecated
- bool m_isOwned
- XercesDocumentBridge* m_bridge
- XercesDocumentWrapper* m_wrapper

## Member Function Documentation

DocumentEntry & XercesParserLiaison::DocumentEntry::operator= ( | XercesDocumentWrapper * theWrapper )`[]`

DocumentEntry & XercesParserLiaison::DocumentEntry::operator= ( | XercesDocumentBridge * theBridge )`[]`

## Member Data Documentation

XercesDocumentBridge* XercesParserLiaison::DocumentEntry::m_bridge

bool XercesParserLiaison::DocumentEntry::m_isDeprecated

bool XercesParserLiaison::DocumentEntry::m_isOwned

XercesDocumentWrapper* XercesParserLiaison::DocumentEntry::m_wrapper

The documentation for this struct was generated from the following file:

- XercesParserLiaison.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.